﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.MefExtensions.Modularity;
using Microsoft.Practices.ServiceLocation;
using Microsoft.Practices.Prism.Regions;
using OutlookBarTest.Infrastructure;

namespace OutlookBarTest.Modules.Contacts
{
    /// <summary>
    /// A module for OutlookBarTest.Modules.Contacts.
    /// </summary>
    [ModuleExport(typeof(ContactsModule))]
    public class ContactsModule : IModule
    {
        /// <summary>
        /// Notifies the module that it has be initialized.
        /// </summary>
        public void Initialize()
        {
            RegionManager manager = ServiceLocator.Current.GetInstance<IRegionManager>() as RegionManager;

            manager.RegisterViewWithRegion(RegionNames.OutlookBarRegion, typeof(ContactsBarItemView));
        }
    }
}
