﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.MefExtensions.Modularity;
using Microsoft.Practices.ServiceLocation;
using Microsoft.Practices.Prism.Regions;
using OutlookBarTest.Infrastructure;

namespace OutlookBarTest.Modules.Mail
{
    /// <summary>
    /// A module for OutlookBarTest.Modules.Mail.
    /// </summary>
    [ModuleExport(typeof(MailModule))]
    public class MailModule : IModule
    {
        /// <summary>
        /// Notifies the module that it has be initialized.
        /// </summary>
        public void Initialize()
        {
            RegionManager manager = ServiceLocator.Current.GetInstance<IRegionManager>() as RegionManager;

            manager.RegisterViewWithRegion(RegionNames.OutlookBarRegion, typeof(MailBarItemView));
            manager.Regions[RegionNames.OutlookBarRegion].Activate(manager.Regions[RegionNames.OutlookBarRegion].Views.FirstOrDefault());
        }
    }
}
