﻿using System.Collections.Specialized;
using System.Linq;
using System.Windows.Controls;
using Microsoft.Practices.Prism.Regions;
using Telerik.Windows.Controls;

namespace OutlookBarTest
{
    public class RadOutlookBarRegionAdapter : RegionAdapterBase<RadOutlookBar>
    {
        public RadOutlookBarRegionAdapter(IRegionBehaviorFactory regionBehaviourFactory) 
            : base(regionBehaviourFactory) { }

        protected override void Adapt(IRegion region, RadOutlookBar regionTarget)
        {
            region.ActiveViews.CollectionChanged += new NotifyCollectionChangedEventHandler((sender, args) =>
            {
                switch (args.Action)
                {
                    case NotifyCollectionChangedAction.Add:
                        foreach (UserControl view in args.NewItems)
                        {
                            regionTarget.Items.Add(view);
                        }
                        break;

                    case NotifyCollectionChangedAction.Remove:
                        foreach (UserControl view in args.NewItems)
                        {
                            regionTarget.Items.Remove(view);
                        }
                        break;
                }
            });
        }

        protected override IRegion CreateRegion()
        {
            return new AllActiveRegion();
        }
    }
}
