﻿using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Windows;

namespace OutlookBarTest
{
    /// <summary>
    /// Interaction logic for Shell.xaml
    /// </summary>
    public partial class Shell : Window, IPartImportsSatisfiedNotification
    {
        /// <summary>
        /// The shell resource dictionaries imported with MEF.
        /// </summary>
        [ImportMany]
        private IEnumerable<ResourceDictionary> resourceDictionaries;

        /// <summary>
        /// Initialises a new instance of the <see cref="Shell"/> class.
        /// </summary>
        public Shell()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Sets the Sell view model.
        /// </summary>
        /// <value>
        /// The view model.
        /// </value>
        [Import]
        private ShellViewModel ViewModel
        {
            set
            {
                this.DataContext = value;
            }
        }

        /// <summary>
        /// Called when a part's imports have been satisfied and it is safe to use.
        /// </summary>
        public void OnImportsSatisfied()
        {
            foreach (ResourceDictionary resourceDictionary in this.resourceDictionaries)
            {
                this.Resources.MergedDictionaries.Add(resourceDictionary);
            }
        }
    }
}
